/*
 * Copyright (c) 2010-2010 the original author or authors
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.codehaus.larex.io;

import java.net.ConnectException;

/**
 * Wraps {@link ConnectException}s thrown by the I/O Java libraries.
 *
 * @version $Revision: 13 $ $Date: 2010-04-12 01:14:13 +0200 (Mon, 12 Apr 2010) $
 */
public class RuntimeSocketConnectException extends RuntimeIOException
{
    public RuntimeSocketConnectException()
    {
    }

    public RuntimeSocketConnectException(String message)
    {
        super(message);
    }

    public RuntimeSocketConnectException(String message, Throwable cause)
    {
        super(message, cause);
    }

    public RuntimeSocketConnectException(Throwable cause)
    {
        super(cause);
    }
}
